package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag110;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT110Creator;


public class Tag20Creator extends AbsTagCreate {
    private MT110Creator mt110Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt110Creator= (MT110Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag20Value = mt110Creator.getSendersReference();
        mt110Creator.set("20", tag20Value);
    }
}
